using System.ComponentModel.DataAnnotations;
using Microsoft.AspNetCore.Mvc;

namespace CafeCritic.ViewModels;

public class RegisterViewModel
{
    [Required(ErrorMessage = "Для регистрации введите Email")]
    [DataType(DataType.EmailAddress)]
    [Remote("CheckEmail", "Validation", ErrorMessage = "Пользователь с таким эл. адресом уже существует")]
    public string Email { get; set; }
    
    [Required(ErrorMessage = "Введите пароль")]
    [DataType(DataType.Password)]
    public string Password { get; set; }

    [Compare("Password", ErrorMessage = "Пароли не совпадают")]
    [DataType(DataType.Password)]
    public string ConfirmPassword { get; set; }
}